Fully Receive Inbound Shipment
patch
https://api.flxpoint.com/inbound-shipments/{id}/receiveUse this when you want to update inbound shipments data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Fully receive all items
Request
Query parameters
updateInventoryOnceReceivedquerybooleanUpdate inventory after receiving shipment
Example request
patch
/inbound-shipments/{id}/receivecurl -X PATCH "https://api.flxpoint.com/inbound-shipments/{id}/receive" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OK
No schema documented for this status.
400Bad Request
No schema documented for this status.
401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"patch": {
"summary": "Fully Receive Inbound Shipment",
"description": "Fully receive all items",
"parameters": [
{
"schema": {
"type": "boolean",
"default": "true"
},
"in": "query",
"name": "updateInventoryOnceReceived",
"description": "Update inventory after receiving shipment"
}
],
"responses": {
"200": {
"description": "OK"
},
"400": {
"description": "Bad Request"
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight